#ifndef __PROTOCOL
#define __PROTOCOL
#include <qstring.h>
#include <qsocketnotifier.h>
#include <qobject.h>
#include <ksock.h>
class FingerProtocol : public QObject {
Q_OBJECT
	public:
                FingerProtocol(char * buff);
		~FingerProtocol();
                void  writeString(QString s);
		bool stopFlag;
		bool connection(  const char * host,int port); 

	protected:
		QString st;
                QSocketNotifier *sockNotif;
                QSocketNotifier *sockNotif1;
		char *s;
		int  sock;          
	signals:
	  void connectionRefused();
	  void update();
          void finish();	
        public slots:
          void readBuff( int);
	  void writeBuff(int );
      };

#endif

